Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.logging
Class SimpleFormatter

    java.lang.Object
      java.util.logging.Formatter
          java.util.logging.SimpleFormatter

    public class SimpleFormatter

extends Formatter

Print a brief summary of the LogRecord in a human readable format. The summary will typically be 1 or 2 lines.

Since:
  1.4

Constructor Summary
`SimpleFormatter()`

Method Summary
`String` | `format(LogRecord record)` Format the given LogRecord.

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleFormatter

    public SimpleFormatter()

Method Detail

### format

    public String format(LogRecord record)

  Format the given LogRecord.

  Specified by:
    `format` in class `Formatter`
  Parameters:
    `record` - the log record to be formatted.
  Returns:
    a formatted log record

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.